package com.gree.mall.contest.bean;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class ExcelData implements Serializable {
    /**
     * 表头
     */
    @Schema(description = "表头")
    private List<String> titles;

    /**
     * 数据
     */
    @Schema(description = "数据")
    private List<List<Object>> rows;

    /**
     * 页签名称
     */
    @Schema(description = "页签名称")
    private String name;
}
