package com.gree.mall.contest.bean.common;


import com.gree.mall.contest.annotation.ZfireField;
import com.gree.mall.contest.constant.SysDictConstant;
import com.gree.mall.contest.enums.StateEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;


@ZfireField(tbName = "a")
@Data
public class SysDictVO {

    @Schema(description = "id")
    @ZfireField(hide = true)
    private String sysDictId;

    @ZfireField(type="select",frontCode = SysDictConstant.SYS_DICT_TYPE,colName = "dict_type")
    @Schema(description = "字典类型")
    private String dictTypeName;

    @ZfireField(type="select")
    @Schema(description = "状态")
    private StateEnum status;

    @Schema(description = "字典编号")
    private String dictCode;

    @Schema(description = "字典值")
    private String dictValue;


    @Schema(description = "备注")
    private String remark;

    @Schema(description = "排序")
    private Integer sortNum;


}
